<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Controls Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_controls.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_controls-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Controls Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Controls:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_controls.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_controls_1_1_i_player_actions.html">IPlayerActions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_controls_1_1_player_actions.html">PlayerActions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4295674e77bd87c0ae8304f2d2c6019f"><td class="memItemLeft" align="right" valign="top"><a id="a4295674e77bd87c0ae8304f2d2c6019f" name="a4295674e77bd87c0ae8304f2d2c6019f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Controls</b> ()</td></tr>
<tr class="separator:a4295674e77bd87c0ae8304f2d2c6019f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6865d9f932ae68bd0814c686baeb8ff"><td class="memItemLeft" align="right" valign="top"><a id="aa6865d9f932ae68bd0814c686baeb8ff" name="aa6865d9f932ae68bd0814c686baeb8ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Dispose</b> ()</td></tr>
<tr class="separator:aa6865d9f932ae68bd0814c686baeb8ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a253f968412fe7fa422ba14c32f1c7017"><td class="memItemLeft" align="right" valign="top"><a id="a253f968412fe7fa422ba14c32f1c7017" name="a253f968412fe7fa422ba14c32f1c7017"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Contains</b> (InputAction action)</td></tr>
<tr class="separator:a253f968412fe7fa422ba14c32f1c7017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ae5ba50f1e7a5409113c78a769e81a"><td class="memItemLeft" align="right" valign="top"><a id="aa8ae5ba50f1e7a5409113c78a769e81a" name="aa8ae5ba50f1e7a5409113c78a769e81a"></a>
IEnumerator&lt; InputAction &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetEnumerator</b> ()</td></tr>
<tr class="separator:aa8ae5ba50f1e7a5409113c78a769e81a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f8ebd56c2a475ceb26f13f9f027398"><td class="memItemLeft" align="right" valign="top"><a id="ac9f8ebd56c2a475ceb26f13f9f027398" name="ac9f8ebd56c2a475ceb26f13f9f027398"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Enable</b> ()</td></tr>
<tr class="separator:ac9f8ebd56c2a475ceb26f13f9f027398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cbfe1781d8abc77daa6259bba5e7dce"><td class="memItemLeft" align="right" valign="top"><a id="a2cbfe1781d8abc77daa6259bba5e7dce" name="a2cbfe1781d8abc77daa6259bba5e7dce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Disable</b> ()</td></tr>
<tr class="separator:a2cbfe1781d8abc77daa6259bba5e7dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4090174308f25682677d4aec5dc31a87"><td class="memItemLeft" align="right" valign="top"><a id="a4090174308f25682677d4aec5dc31a87" name="a4090174308f25682677d4aec5dc31a87"></a>
InputAction&#160;</td><td class="memItemRight" valign="bottom"><b>FindAction</b> (string actionNameOrId, bool throwIfNotFound=false)</td></tr>
<tr class="separator:a4090174308f25682677d4aec5dc31a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85cd2c0c8bb708c202f83f97f658111"><td class="memItemLeft" align="right" valign="top"><a id="ae85cd2c0c8bb708c202f83f97f658111" name="ae85cd2c0c8bb708c202f83f97f658111"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>FindBinding</b> (InputBinding <a class="el" href="class_controls.html#ac9fdfbfe32455a7f881b406684aa28dc">bindingMask</a>, out InputAction action)</td></tr>
<tr class="separator:ae85cd2c0c8bb708c202f83f97f658111"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a584d45d692cfc9d11dceb0eace0cc646"><td class="memItemLeft" align="right" valign="top"><a id="a584d45d692cfc9d11dceb0eace0cc646" name="a584d45d692cfc9d11dceb0eace0cc646"></a>
InputActionAsset&#160;</td><td class="memItemRight" valign="bottom"><b>asset</b><code> [get]</code></td></tr>
<tr class="separator:a584d45d692cfc9d11dceb0eace0cc646"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9fdfbfe32455a7f881b406684aa28dc"><td class="memItemLeft" align="right" valign="top"><a id="ac9fdfbfe32455a7f881b406684aa28dc" name="ac9fdfbfe32455a7f881b406684aa28dc"></a>
InputBinding?&#160;</td><td class="memItemRight" valign="bottom"><b>bindingMask</b><code> [getset]</code></td></tr>
<tr class="separator:ac9fdfbfe32455a7f881b406684aa28dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99c0c0e747a753664752c7108adea123"><td class="memItemLeft" align="right" valign="top"><a id="a99c0c0e747a753664752c7108adea123" name="a99c0c0e747a753664752c7108adea123"></a>
ReadOnlyArray&lt; InputDevice &gt;?&#160;</td><td class="memItemRight" valign="bottom"><b>devices</b><code> [getset]</code></td></tr>
<tr class="separator:a99c0c0e747a753664752c7108adea123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40efe45bbdbd6f62eeb243bfd91f5060"><td class="memItemLeft" align="right" valign="top"><a id="a40efe45bbdbd6f62eeb243bfd91f5060" name="a40efe45bbdbd6f62eeb243bfd91f5060"></a>
ReadOnlyArray&lt; InputControlScheme &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>controlSchemes</b><code> [get]</code></td></tr>
<tr class="separator:a40efe45bbdbd6f62eeb243bfd91f5060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e78f4414782284d98c55563c860b121"><td class="memItemLeft" align="right" valign="top"><a id="a6e78f4414782284d98c55563c860b121" name="a6e78f4414782284d98c55563c860b121"></a>
IEnumerable&lt; InputBinding &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>bindings</b><code> [get]</code></td></tr>
<tr class="separator:a6e78f4414782284d98c55563c860b121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1e4e6997c5843d1d7f34507cb9cf30b"><td class="memItemLeft" align="right" valign="top"><a id="ae1e4e6997c5843d1d7f34507cb9cf30b" name="ae1e4e6997c5843d1d7f34507cb9cf30b"></a>
<a class="el" href="struct_controls_1_1_player_actions.html">PlayerActions</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Player</b><code> [get]</code></td></tr>
<tr class="separator:ae1e4e6997c5843d1d7f34507cb9cf30b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_controls_8cs.html">Controls.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_controls.html">Controls</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
